Summary: Cistron RADIUS daemon (with PAM) 
Name: radiusd-cistron
Version: 1.6.4
Release: 3mdk
Source: ftp://ftp.cistron.nl/pub/people/miquels/radius/%{name}-%{version}.tar.bz2
Source1: radiusd.pam
Patch0: radiusd-cistron-1.6.4-pam.patch.bz2
Patch1: radiusd-cistron-1.6.4-initd.patch.bz2
URL: http://www.miquels.cistron.nl/radius/
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
RADIUS server with a lot of functions. Short overview: 

- PAM support
- Supports access based on huntgroups
- Multiple DEFAULT entries in users file
- All users file entries can optionally "fall through"
- Caches all config files in-memory
- Keeps a list of logged in users (radutmp file)
- "radwho" program can be installed as "fingerd"
- Logs both UNIX "wtmp" file format and RADIUS detail logfiles
- Supports Simultaneous-Use = X parameter. Yes, this means
  that you can now prevent double logins!

%prep 
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1 -b .fred

find . -name CVS -a -type d | xargs rm -rf

cd raddb
for f in clients users naslist huntgroups ; do cp $f $f-dist ; done
cd ..

%build
%serverbuild
cd src
%make PAM=-DPAM PAMLIB="-lpam -ldl" CFLAGS="-Wall ${RPM_OPT_FLAGS}"
cd ..

%install
# prepare $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_sysconfdir}/{,raddb,logrotate.d,pam.d,rc.d/{init.d,rc{0,1,2,3,4,5,6}.d}},%{_bindir},%{_sbindir},%{_mandir}/{,man{1,5,8}},%{_localstatedir}/{,log/{,radacct}}}

# make install
cd src
make install BINDIR=${RPM_BUILD_ROOT}%{_bindir} \
             SBINDIR=${RPM_BUILD_ROOT}%{_sbindir} \
             RADIUS_DIR=${RPM_BUILD_ROOT}%{_sysconfdir}/raddb \
             PAM_DIR=${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d
install -m 755 radtest ${RPM_BUILD_ROOT}%{_bindir}
cd ..

# do %{_sysconfdir}/raddb
#cd raddb
#install -m 640 * ${RPM_BUILD_ROOT}%{_sysconfdir}/raddb
#cd ..

# radwatch
install -m 755 scripts/radwatch ${RPM_BUILD_ROOT}%{_sbindir}

# other files
cd redhat
install -m 755 rc.radiusd-redhat ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/radiusd
install -m 644 radiusd-logrotate ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/radiusd
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/radius
cd ..

# man pages
cd doc
for i in 1 8; do
	install -m 444 *.$i ${RPM_BUILD_ROOT}%{_mandir}/man$i
done
install -m 444 clients.5rad ${RPM_BUILD_ROOT}%{_mandir}/man5/
install -m 444 naslist.5rad ${RPM_BUILD_ROOT}%{_mandir}/man5/
cd ..

mkdir -p ${RPM_BUILD_ROOT}/var/log/radacct
for i in radutmp radwtmp radius.log; do
	touch ${RPM_BUILD_ROOT}/var/log/$i
done

rm -f ${RPM_BUILD_ROOT}%{_sysconfdir}/raddb/*-dist
chmod 750 ${RPM_BUILD_ROOT}%{_sysconfdir}/raddb
chmod 640 ${RPM_BUILD_ROOT}%{_sysconfdir}/raddb/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service radiusd
touch /var/log/radutmp /var/log/radwtmp /var/log/radius.log

%preun
%_preun_service radiusd

%files
%defattr(-,root,root)
%doc doc/ChangeLog doc/README doc/README.pam doc/README.proxy 
%doc doc/README.usersfile doc/README.simul doc/INSTALL.OLD 
%doc doc/Makefile.README doc/README.cisco todo/ 
%doc COPYRIGHT.Cistron COPYRIGHT.Livingston

%{_bindir}/radlast
%{_bindir}/radtest
%{_bindir}/raduse
%{_bindir}/radwho
%{_bindir}/radzap
%{_sbindir}/checkrad
%{_sbindir}/radiusd
%{_sbindir}/radwatch

%attr(0644,root,root) %{_mandir}/man1/*
%attr(0644,root,root) %{_mandir}/man5/*
%attr(0644,root,root) %{_mandir}/man8/*
%ghost /var/log/radutmp
%ghost /var/log/radwtmp
%ghost /var/log/radius.log
%dir /var/log/radacct/
%dir %{_sysconfdir}/raddb/
%config(noreplace) %{_sysconfdir}/raddb/*
%config(noreplace) %{_sysconfdir}/pam.d/radius
%config(noreplace) %{_sysconfdir}/logrotate.d/radiusd
%config(noreplace) %{_sysconfdir}/rc.d/init.d/radiusd

%changelog
* Fri Aug 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.4-3mdk
- rebuild

* Tue Apr 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.4-2mdk
- recompiled for pam 0.74

* Sat Dec 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.6.4-1mdk
- first release

* Thu Sep 14 2000 Rodrigo Barbosa <rodrigob@conectiva.com>
- Only use gcc-stackguard if avaliable. Andreas: added CPP
  for stackguard
- Adopted rpm macros
- Removed referenced to gzipman

* Wed May 17 2000 Elvis Pftzenreuter <epx@conectiva.com>
- using stackguard compiler
- allows non-root compilation
- /usr/s?bin files put explicit in %files, %defattr included

* Tue Dec 14 1999 Guilherme Wunsch Manika <gwm@conectiva.com>
- Included es init script translation

* Mon Nov 29 1999 Rud Moura <ruda@conectiva.com>
- Updated to version 1.6.1
- Compressed man pages
- Corrected (I hope) a bug in radiusd-init

* Thu Jul 01 1999 Rodrigo Parra Novo <rodarvus@conectiva.com>
- Fixed radiusd.init (me/cavassin)
- Fixed radwatch.sh (cavassin)

* Sun Jun 20 1999 Conectiva <dist@conectiva.com>
- Recompiled with glibc 2.1.x, egcs 1.1.x, rpm 3.0.x and kernel 2.2.x

* Sun Jun 20 1999 Arnaldo Carvalho de Melo <acme@conectiva.com>
- sources recompressed

* Sat Nov 21 1998 Tim Hockin <thockin@ais.net>
- Based on work by Christopher McCrory <chrismcc@netus.com>
- Build with PAM
- Included pam.d/radius
- Fixed some small errors in this spec
- Changed to build to BuildRoot
- Changed Release to "beta11" from "1"
- Included users, naslist, huntgroups, clients files, not just -dist

* Tue Oct 27 1998 Mauricio Mello de Andrade <mandrade@mma.com.br>
- Corrected the script to Start/Stop the Radius under RH5.x
- Included the script to Rotate Radius Logs under RedHat
- Checkrad Utility now works fine with Cyclades PathRas
